<?
 require_once('../conf/connection.php');
 
 // datos de empresa.
  
 $query_empresa="SELECT * FROM empresa";
  $res_empresa=mysql_query($query_empresa); 
  $emp_rut=mysql_result($res_empresa,0,"nif"); 
  $emp_nombre=mysql_result($res_empresa,0,"nombre"); 
  $emp_direccion=mysql_result($res_empresa,0,"direccion"); 
  $emp_giro=mysql_result($res_empresa,0,"giro"); 
  $emp_direccion=mysql_result($res_empresa,0,"direccion"); 
  $emp_ciudad=mysql_result($res_empresa,0,"ciudad"); 
  $emp_telefono=mysql_result($res_empresa,0,"telefono"); 
  $emp_fantasia=mysql_result($res_empresa,0,"fantasia"); 

$rut = '2-7';
$num_pedido = $_GET["numero"];


$idpedido =$_GET["idpedido"];
$ventana=$_GET["ventana"];
$cliente=$_GET["cliente"];
$f_pagos=$_GET["f_pagos"];

$direccion=$_GET["direccion"];

$query_mesa="SELECT * FROM pedido WHERE idpedido='$idpedido'";
$rs_query_mesa=mysql_query($query_mesa);
$mesa=mysql_result($rs_query_mesa,0,"idmesa");


$query_mesa="SELECT * FROM mesa WHERE num_mesa='$mesa'";
$rs_query_mesa=mysql_query($query_mesa);
$nom_mesa=mysql_result($rs_query_mesa,0,"nombre_mesa");

date_default_timezone_set("America/Buenos aires" ) ; 
$hora = date('h:i a',time() - 3600*date('I')); 

$fecha = $_GET["fecha"];




//PROCESAMOS GUARDAR PERDIDO

//extraer la suma total del pedido
       $query_valor="SELECT SUM(valor_total) AS total_venta FROM detalles_pedido WHERE numero='$idpedido'";
	   $res_valor=mysql_query($query_valor);
	   $total_venta=mysql_result($res_valor,0,"total_venta");

// liberar mesas
   
	   $sel_mesa="UPDATE mesa SET est_mesa='2' WHERE num_mesa='$mesa'";
	   $rs_mesa=mysql_query($sel_mesa);
	   
       $query_add_mesa="SELECT * FROM add_mesa WHERE pedido='$num_pedido'";
	   $res_add_mesa=mysql_query($query_add_mesa);
	   $nr_add_ms=mysql_num_rows($res_add_mesa);
	   if($nr_add_ms==0){}else{
		   $add_mesa=mysql_result($res_add_mesa,0,"mesa");
		   $sel_add="UPDATE mesa SET est_mesa='2' WHERE num_mesa='$add_mesa'";
	       $rs_add=mysql_query($sel_add); }

//insertamos pedidod a la base de datos 
// estado 1= activo 2= desactivo

            $insertar="update pedido set  total_venta='$total_venta',  est='3', obs_pedido='$obs_pedido' where idpedido='$idpedido'"; 
			      
//enviamos el query mediante la funcion mysql_query()
			mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());
 
//FIN GUARDAR PEDIDO

//pagamos pedido.

            //Construimos el query!
			$insertardos="insert into ventas(idventas,fecha, mesa, subtotal,propina, total,hora,idpedido,
			rut_clientes, doc,f_pagos,pedidosya) values (";
			$insertardos.="\"$idpedido\", \"$fecha\", \"$mesa\",\"$total_venta\", \"$propina\", \"$total_venta\",\"$hora\",
			\"$idpedido\",\"$rut\", \"$doc\", \"$f_pagos\", \"$pedidosya\")";
            mysql_query($insertardos, $conn) or die("Error en el query: ".mysql_error());			
			
			//activamos la mesa
			
			$sel_actualiza_mesa="UPDATE mesa SET est_mesa='1' WHERE num_mesa='$mesa'";
		    $rs_actualiza_mesa = mysql_query($sel_actualiza_mesa);	
			
			//desactivamos el peido
			
			$sel_actualiza_pedido="UPDATE pedido SET est='2' WHERE idpedido='$idpedido'";
		    $rs_actualiza_pedido = mysql_query($sel_actualiza_pedido);	
		
		    //delete control pedido
			$del_ctpedido="DELETE FROM control_pedido WHERE numero='$idpedido' and mesa='$mesa' and est=1 ";
			$rs_ctpedido=mysql_query($del_ctpedido);
        	//fin


//fin pago de pedido







$query_suma="SELECT  SUM(valor_total) AS total_venta  FROM detalles_pedido WHERE numero='$idpedido'";
$rs_query_suma=mysql_query($query_suma);
$total_venta=mysql_result($rs_query_suma,0,"total_venta");
$propina=$total_venta*(10/100);

$miarchivo=fopen($archivo."pedido.txt","w");//abrir archivo, nombre archivo, modo apertura


fwrite($miarchivo,"" .$emp_fantasia. PHP_EOL); //TITULO
fwrite($miarchivo,"" .$emp_rut. PHP_EOL); //TITULO
fwrite($miarchivo,"" .$emp_giro. PHP_EOL); //TITULO
fwrite($miarchivo,"" .$emp_direccion. PHP_EOL); //TITULO
fwrite($miarchivo,"" .$emp_ciudad. PHP_EOL); //TITULO
fwrite($miarchivo,"***	PEDIDO  ***      " . PHP_EOL); //TITULO
  fwrite($miarchivo,"------------------ "  . PHP_EOL ); //LINEA DE SEPARACION
fwrite($miarchivo,"NUM PED: ".$idpedido. PHP_EOL);
fwrite($miarchivo,"".$nom_mesa . PHP_EOL) ;
  fwrite($miarchivo,"------------------ "  . PHP_EOL ); //LINEA DE SEPARACION

fwrite($miarchivo,"FECHA: ".$fecha . PHP_EOL ); //fECHA 
fwrite($miarchivo,"HRS: ".$hora . PHP_EOL ); //HORA

fwrite($miarchivo,"DETALLES". PHP_EOL ); //inicio del detalle del tiket
fwrite($miarchivo," "  . PHP_EOL ); //SALTO DE LINEA
 
fwrite($miarchivo,"Prod");fwrite($miarchivo," Cant");fwrite($miarchivo,"  Total" . PHP_EOL) ;//CABESA DE LA TABLA
  fwrite($miarchivo,"------------------ "  . PHP_EOL ); //LINEA DE SEPARACION
//INICIO DEL BUCLE 

           $buscar='select  *, SUM(cantidad) as cant, SUM(valor_total) as valor 
		   from detalles_pedido where numero like \'%'.$idpedido.'%\' group by grupo, idplatos ';
  		   $r=mysql_query($buscar,$conn) or die("Error en el query: ".mysql_error());
		   $n=mysql_num_rows($r);
		    //si hay registros los procesamos
			if($n>0)
			{			
				while($row=mysql_fetch_assoc($r))
				{ 
					 $plato=$row["idplatos"];
					 $query="SELECT * FROM platos WHERE idplatos='$plato'";
 					 $rs_query=mysql_query($query);
					 $idgrupos=mysql_result($rs_query,0,"idgrupos");
					  
					 $nombre=mysql_result($rs_query,0,"descrip_plato");
                     $cart_nom=strlen($nombre);
					 		
					 
					 $cantidad=$row["cant"];
					 $cart_cant=strlen($cantidad);
					 
					 $total=$row["valor"];	
					 $cart_total=strlen($total);
					 
					 //mostraamos las variables 
					 
					 fwrite($miarchivo," ".$nombre);
                     for($l_cant=$cart_nom;$l_cant<=5;$l_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$cantidad);
                     for($r_cant=$cart_cant;$r_cant<=2;$r_cant++){ fwrite($miarchivo," "); }
					 
					 fwrite($miarchivo,"".$total.  PHP_EOL );
                     
					 
			if($idgrupos==4 or $idgrupos==6 or $idgrupos==7 or $idgrupos==8 or $idgrupos==9 or $idgrupos==10 or $idgrupos==11  )
		            {
					 $query_obs1="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$idpedido'";
 		  			 $rs_query_obs1=mysql_query($query_obs1);
		   			 
					 while($row1=mysql_fetch_assoc($rs_query_obs1))
						{ //Procesamos cada registro como
 					 $obs1=$row1["obs"]; 
					 fwrite($miarchivo," ".$obs1.  PHP_EOL );
					 
					 	 
						}
					 
					 }else{
					 $query_obs="SELECT *  FROM detalles_pedido WHERE idplatos='$plato' and numero='$idpedido'";
 		  			 $rs_query_obs=mysql_query($query_obs);
		   			 
					 while($rows=mysql_fetch_assoc($rs_query_obs))
						{ //Procesamos cada registro como

						 $obs=$rows["obs"]; if($obs==""){ 
						 fwrite($miarchivo," - * ".  PHP_EOL );
						 }else{ 
					     fwrite($miarchivo," - ".$obs.  PHP_EOL );}
						}
                   
					}
					 
				}
			  fwrite($miarchivo,"------------------ "  . PHP_EOL ); //LINEA DE SEPARACION
			  
               fwrite($miarchivo,"    Total: ".$total_venta.  PHP_EOL );
		
			    fwrite($miarchivo,"------------------ "  . PHP_EOL ); //LINEA DE SEPARACION
							}
			   fwrite($miarchivo,""  . PHP_EOL );
//FIN DEL BUCLE






fclose($miarchivo); //cerrar archivo

$file = file_get_contents("pedido.txt");
$handle = printer_open("pos");
printer_write($handle, $file);
printer_close($handle);	 

?>

<center><font size="+3">Imprimiendo... </font></center>
<META HTTP-EQUIV="REFRESH" CONTENT="2;URL=imprimirdos.php?numero=<? echo $idpedido ?>&mesa=<? echo $mesa?>&ventana=<? echo $ventana ?>&fecha=<? echo $fecha ?>&cliente=<? echo $cliente ?>&direccion=<? echo $direccion ?>">